> For the complete documentation index, see [llms.txt](https://docs.bookinglayer.com/api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.bookinglayer.com/api/filtering.md).

# Filtering

### Date range type <a href="#date-range-type" id="date-range-type"></a>

Filters described as **`date range`** allows to filter in 4 ways:

* `2020-01-01` specific date, it will show entities related just to this date,
* `2020-01-01`**`,`**`2020-01-30` closed date range, it will show entities for given date range (from, to, >= date field <=),
* `2020-01-01`**`,`** open date range, it will show entities from given start date without limiting on end,
* **`,`**`2020-01-01` open date range, it will show entities to given end date without limiting start,

### Amount range type <a href="#amount-range-type" id="amount-range-type"></a>

Filters described as **`amount range`** allows to filter in 4 ways:

* `100` specific amount (equal), it will show entities related just to this amount,
* `100,200` closed amount range, it will show entities for given amount range (from, to >= date field <=),
* `100,` open amount range, it will show entities from given amount without limiting on end,
* `,200` open amount range, it will show entities to given amount without limiting start,

You can use decimals like 10.00 It's important to use dot separator, comma separator is not allowed.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.bookinglayer.com/api/filtering.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
